"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.disclaimer = [
    '/** WARNING: Generated by typescript-schema-tools */',
    '/* tslint:disable */',
].join('\n');
function renderSchemasToTs(schemas, { asDefaultExport = false } = {}) {
    if (asDefaultExport) {
        schemas = [schemas[0]];
    }
    return [
        exports.disclaimer,
        ...schemas.map(({ name, type, schema }) => {
            if (!asDefaultExport && !name) {
                throw new Error(`Failure rendering type ${type}. 'name' is required when 'asDefaultExport' is false`);
            }
            return [
                ``,
                `/** @type ${type} */`,
                `export ${asDefaultExport ? 'default' : `const ${name} =`} ${JSON.stringify(schema, null, 2)};`,
            ].join('\n');
        }),
        '',
    ].join('\n');
}
exports.renderSchemasToTs = renderSchemasToTs;
function renderExportsToTs(names, { getImportPath, getImportPattern = (name) => `* as ${name}`, }) {
    const imports = names.map((name) => `import ${getImportPattern(name)} from '${getImportPath(name)}';`);
    return [
        exports.disclaimer,
        ...imports,
        '',
        `export {`,
        ...names.map((str) => `  ${str},`),
        `}`,
        '',
    ].join('\n');
}
exports.renderExportsToTs = renderExportsToTs;
function renderSchemasToJson(schemas) {
    return JSON.stringify(schemas[0]);
}
exports.renderSchemasToJson = renderSchemasToJson;
//# sourceMappingURL=schemaRenderers.js.map