"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schemaRenderers_1 = require("./lib/schemaRenderers");
/**
 * Create a [schema.id]: <modulePath> map file
 */
function createSchemaModuleMap({ schemas, moduleBase }) {
    const schemaModuleMap = Object.keys(schemas).reduce((obj, key) => {
        const id = schemas[key].id;
        if (id) {
            obj[id] = `${moduleBase}/${key}`;
        }
        return obj;
    }, {});
    return schemaModuleMap;
}
exports.createSchemaModuleMap = createSchemaModuleMap;
function renderSchemaModuleMapToTs(map) {
    return [
        schemaRenderers_1.disclaimer,
        '',
        `export default ${JSON.stringify(map, null, 2)};`,
        '',
    ].join('\n');
}
exports.renderSchemaModuleMapToTs = renderSchemaModuleMapToTs;
//# sourceMappingURL=schemaModuleMap.js.map